Bug 8480 - acl_xattr can free an invalid pointer if no blob is loaded.
acl_xattr can free an invalid pointer if no blob is loaded.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
3.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-23 18:44 UTC by Jeremy Allison
Modified: 2011-09-28 18:10 UTC (History)
0 users

See Also:


Attachments
git-am fix for 3.6.1 (1.02 KB, patch)
2011-09-27 23:19 UTC, Jeremy Allison
ddiss: review+
Details
git-am fix for 3.5.next (836 bytes, patch)
2011-09-28 00:47 UTC, Jeremy Allison
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-09-23 18:44:45 UTC

    
Comment 1 Jeremy Allison 2011-09-23 18:45:09 UTC
Found by David Disseldorp <ddiss@suse.de>. Patch for 3.6.1 and 3.5.next to follow.
Comment 2 Jeremy Allison 2011-09-27 23:19:25 UTC
Created attachment 6955 [details]
git-am fix for 3.6.1

Code that went into master. David please review and +1.
Comment 3 Jeremy Allison 2011-09-28 00:47:31 UTC
Created attachment 6956 [details]
git-am fix for 3.5.next

Please +1 and then I'll re-assign to Karolin for inclusion in 3.5.next.
Comment 4 David Disseldorp 2011-09-28 08:52:58 UTC
Comment on attachment 6955 [details]
git-am fix for 3.6.1

Looks good.
Comment 5 Jeremy Allison 2011-09-28 15:52:17 UTC
Re-assigning to Karolin for inclusion in 3.6.1 and 3.5.next.
Jeremy.
Comment 6 Karolin Seeger 2011-09-28 18:10:44 UTC
Pushed to v3-5-test and v3-6-test.
Closing out bug report.

Thanks!